/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class MaterialsRequester extends RelMgmt.Party.PartyRole {
    public BigDecimal calcAvgMaterialsRequest() {
        return new BigDecimal(0);
    }

    public Vector listMaterialsRequests() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.MaterialsRequest.MaterialsRequest lnkUnnamed3;
}


